lex.yy.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include "isdn_cdb_def.h"`
`#include <unistd.h>`

Go to the source code of this file.

## Data Structures

struct | yy_buffer_state
struct | yy_trans_info

## Macros

#define | YY_INT_ALIGNED short int
#define | FLEX_SCANNER
#define | YY_FLEX_MAJOR_VERSION 2
#define | YY_FLEX_MINOR_VERSION 6
#define | YY_FLEX_SUBMINOR_VERSION 4
#define | FLEX_BETA
#define | FLEXINT_H
#define | INT8_MIN (-128)
#define | INT16_MIN (-32767-1)
#define | INT32_MIN (-2147483647-1)
#define | INT8_MAX (127)
#define | INT16_MAX (32767)
#define | INT32_MAX (2147483647)
#define | UINT8_MAX (255U)
#define | UINT16_MAX (65535U)
#define | UINT32_MAX (4294967295U)
#define | SIZE_MAX (~(size_t)0)
#define | yyconst const
#define | yynoreturn
#define | YY_NULL 0
#define | YY_SC_TO_UI(c)
#define | BEGIN (yy_start) = 1 + 2 *
#define | YY_START (((yy_start) - 1) / 2)
#define | YYSTATE YY_START
#define | YY_STATE_EOF(state)
#define | YY_NEW_FILE yyrestart( yyin )
#define | YY_END_OF_BUFFER_CHAR 0
#define | YY_BUF_SIZE 16384
#define | YY_STATE_BUF_SIZE ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))
#define | YY_TYPEDEF_YY_BUFFER_STATE
#define | YY_TYPEDEF_YY_SIZE_T
#define | EOB_ACT_CONTINUE_SCAN 0
#define | EOB_ACT_END_OF_FILE 1
#define | EOB_ACT_LAST_MATCH 2
#define | YY_LESS_LINENO(n)
#define | YY_LINENO_REWIND_TO(ptr)
#define | yyless(n)
#define | unput(c)
#define | YY_STRUCT_YY_BUFFER_STATE
#define | YY_BUFFER_NEW 0
#define | YY_BUFFER_NORMAL 1
#define | YY_BUFFER_EOF_PENDING 2
#define | YY_CURRENT_BUFFER
#define | YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]
#define | YY_FLUSH_BUFFER yy_flush_buffer( YY_CURRENT_BUFFER )
#define | yy_new_buffer yy_create_buffer
#define | yy_set_interactive(is_interactive)
#define | yy_set_bol(at_bol)
#define | YY_AT_BOL()
#define | yytext_ptr yytext
#define | YY_DO_BEFORE_ACTION
#define | YY_NUM_RULES 39
#define | YY_END_OF_BUFFER 40
#define | REJECT reject_used_but_not_detected
#define | yymore()
#define | YY_MORE_ADJ 0
#define | YY_RESTORE_YY_MORE_OFFSET
#define | INITIAL 0
#define | Main 1
#define | NextLine 2
#define | NewEntry 3
#define | Value 4
#define | YY_EXTRA_TYPE void *
#define | YY_READ_BUF_SIZE 8192
#define | ECHO do { if (fwrite( yytext, (size_t) yyleng, 1, yyout )) {} } while (0)
#define | YY_INPUT(buf, result, max_size)
#define | yyterminate()
#define | YY_START_STACK_INCR 25
#define | YY_FATAL_ERROR(msg)
#define | YY_DECL_IS_OURS 1
#define | YY_DECL int yylex (void)
#define | YY_USER_ACTION
#define | YY_BREAK /*LINTED*/break;
#define | YY_RULE_SETUP
#define | YY_EXIT_FAILURE 2
#define | yyless(n)
#define | YYTABLES_NAME "yytables"

## Typedefs

typedef signed char | flex_int8_t
typedef short int | flex_int16_t
typedef int | flex_int32_t
typedef unsigned char | flex_uint8_t
typedef unsigned short int | flex_uint16_t
typedef unsigned int | flex_uint32_t
typedef struct yy_buffer_state * | YY_BUFFER_STATE
typedef size_t | yy_size_t
typedef flex_uint8_t | YY_CHAR
typedef int | yy_state_type

## Functions

void | yyrestart (FILE *input_file)
| Immediately switch to a different input stream.
void | yy_switch_to_buffer (YY_BUFFER_STATE new_buffer)
| Switch to a different input buffer.
YY_BUFFER_STATE | yy_create_buffer (FILE *file, int size)
| Allocate and initialize an input buffer state.
void | yy_delete_buffer (YY_BUFFER_STATE b)
| Destroy the buffer.
void | yy_flush_buffer (YY_BUFFER_STATE b)
| Discard all buffered characters.
void | yypush_buffer_state (YY_BUFFER_STATE new_buffer)
| Pushes the new state onto the stack.
void | yypop_buffer_state (void)
| Removes and deletes the top of the stack, if present.
static void | yyensure_buffer_stack (void)
static void | yy_load_buffer_state (void)
static void | yy_init_buffer (YY_BUFFER_STATE b, FILE *file)
YY_BUFFER_STATE | yy_scan_buffer (char *base, yy_size_t size)
| Setup the input buffer state to scan directly from a user-specified character buffer.
YY_BUFFER_STATE | yy_scan_string (const char *yystr)
| Setup the input buffer state to scan a string.
YY_BUFFER_STATE | yy_scan_bytes (const char *yybytes, int _yybytes_len)
| Setup the input buffer state to scan the given bytes.
void * | yyalloc (yy_size_t)
void * | yyrealloc (void *, yy_size_t)
void | yyfree (void *)
static yy_state_type | yy_get_previous_state (void)
static yy_state_type | yy_try_NUL_trans (yy_state_type current_state)
static int | yy_get_next_buffer (void)
static void yynoreturn | yy_fatal_error (const char *msg)
static int | yy_init_globals (void)
int | yylex_destroy (void)
int | yyget_debug (void)
void | yyset_debug (int debug_flag)
YY_EXTRA_TYPE | yyget_extra (void)
void | yyset_extra (YY_EXTRA_TYPE user_defined)
FILE * | yyget_in (void)
| Get the input stream.
void | yyset_in (FILE *_in_str)
| Set the input stream.
FILE * | yyget_out (void)
| Get the output stream.
void | yyset_out (FILE *_out_str)
int | yyget_leng (void)
| Get the length of the current token.
char * | yyget_text (void)
| Get the current token.
int | yyget_lineno (void)
| Get the current line number.
void | yyset_lineno (int _line_number)
| Set the current line number.
int | yywrap (void)
static void | yyunput (int c, char *buf_ptr)
static int | input (void)
int | yylex (void)
| if (!(yy_init))
| while (1)

## Variables

int | yyleng
FILE * | yyin = NULL
FILE * | yyout = NULL
static size_t | yy_buffer_stack_top = 0
| index of top of stack.
static size_t | yy_buffer_stack_max = 0
| capacity of stack.
static YY_BUFFER_STATE * | yy_buffer_stack = NULL
| Stack as an array.
static char | yy_hold_char
static int | yy_n_chars
static char * | yy_c_buf_p = NULL
static int | yy_init = 0
static int | yy_start = 0
static int | yy_did_buffer_switch_on_eof
int | yylineno = 1
char * | yytext
static const flex_int16_t | yy_accept [254]
static const YY_CHAR | yy_ec [256]
static const YY_CHAR | yy_meta [40]
static const flex_int16_t | yy_base [259]
static const flex_int16_t | yy_def [259]
static const flex_int16_t | yy_nxt [302]
static const flex_int16_t | yy_chk [302]
static yy_state_type | yy_last_accepting_state
static char * | yy_last_accepting_cpos
int | yy_flex_debug = 0
| YY_DECL
| The main scanner function which does all the work.
char * | yy_cp
char * | yy_bp
int | yy_act

## Macro Definition Documentation

## BEGIN

#define BEGIN (yy_start) = 1 + 2 *

Referenced by main(), and while().

## ECHO

#define ECHO do { if (fwrite( yytext, (size_t) yyleng, 1, yyout )) {} } while (0)

Referenced by while().

## EOB_ACT_CONTINUE_SCAN

#define EOB_ACT_CONTINUE_SCAN 0

Referenced by input(), while(), and yy_get_next_buffer().

## EOB_ACT_END_OF_FILE

#define EOB_ACT_END_OF_FILE 1

Referenced by input(), while(), and yy_get_next_buffer().

## EOB_ACT_LAST_MATCH

#define EOB_ACT_LAST_MATCH 2

Referenced by input(), while(), and yy_get_next_buffer().

## FLEX_BETA

#define FLEX_BETA

## FLEX_SCANNER

#define FLEX_SCANNER

## FLEXINT_H

#define FLEXINT_H

## INITIAL

#define INITIAL 0

Referenced by while().

## INT16_MAX

#define INT16_MAX (32767)

## INT16_MIN

#define INT16_MIN (-32767-1)

## INT32_MAX

#define INT32_MAX (2147483647)

## INT32_MIN

#define INT32_MIN (-2147483647-1)

## INT8_MAX

#define INT8_MAX (127)

## INT8_MIN

#define INT8_MIN (-128)

## Main

#define Main 1

Referenced by main(), and while().

## NewEntry

#define NewEntry 3

Referenced by while().

## NextLine

#define NextLine 2

Referenced by while().

## REJECT

#define REJECT reject_used_but_not_detected

## SIZE_MAX

#define SIZE_MAX (~(size_t)0)

## UINT16_MAX

#define UINT16_MAX (65535U)

## UINT32_MAX

#define UINT32_MAX (4294967295U)

## UINT8_MAX

#define UINT8_MAX (255U)

## unput

#define unput | ( |  | c | ) |

Value:
yyunput( c, (yytext_ptr) )
yyunput
static void yyunput(int c, char *buf_ptr)
Definition lex.yy.c:1435
yytext_ptr
#define yytext_ptr
Definition lex.yy.c:337

## Value

#define Value 4

Referenced by while().

## YY_AT_BOL

#define YY_AT_BOL | ( |  | ) |

Value:
(YY_CURRENT_BUFFER_LVALUE->yy_at_bol)
YY_CURRENT_BUFFER_LVALUE
#define YY_CURRENT_BUFFER_LVALUE
Definition lex.yy.c:265

Referenced by while(), and yy_get_previous_state().

## YY_BREAK

#define YY_BREAK /*LINTED*/break;

Referenced by while().

## YY_BUF_SIZE

#define YY_BUF_SIZE 16384

Referenced by if(), and yyrestart().

## YY_BUFFER_EOF_PENDING

#define YY_BUFFER_EOF_PENDING 2

Referenced by yy_get_next_buffer().

## YY_BUFFER_NEW

#define YY_BUFFER_NEW 0

Referenced by while(), yy_flush_buffer(), and yy_scan_buffer().

## YY_BUFFER_NORMAL

#define YY_BUFFER_NORMAL 1

Referenced by while().

## YY_CURRENT_BUFFER

#define YY_CURRENT_BUFFER

Value:
( (yy_buffer_stack) \
? (yy_buffer_stack)[(yy_buffer_stack_top)] \
: NULL)
yy_buffer_stack
static YY_BUFFER_STATE * yy_buffer_stack
Stack as an array.
Definition lex.yy.c:251
yy_buffer_stack_top
static size_t yy_buffer_stack_top
index of top of stack.
Definition lex.yy.c:249

Referenced by if(), yy_delete_buffer(), yy_flush_buffer(), yy_init_buffer(), yy_switch_to_buffer(), yylex_destroy(), yypop_buffer_state(), yypush_buffer_state(), and yyrestart().

## YY_CURRENT_BUFFER_LVALUE

#define YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]

Referenced by if(), input(), while(), yy_delete_buffer(), yy_get_next_buffer(), yy_load_buffer_state(), yy_switch_to_buffer(), yylex_destroy(), yypop_buffer_state(), yypush_buffer_state(), yyrestart(), and yyunput().

## YY_DECL

#define YY_DECL int yylex (void)

## YY_DECL_IS_OURS

#define YY_DECL_IS_OURS 1

## YY_DO_BEFORE_ACTION

#define YY_DO_BEFORE_ACTION

Value:
(yytext_ptr) = yy_bp; \
yyleng = (int) (yy_cp - yy_bp); \
(yy_hold_char) = *yy_cp; \
*yy_cp = '\0'; \
(yy_c_buf_p) = yy_cp;
yy_hold_char
static char yy_hold_char
Definition lex.yy.c:268
yyleng
int yyleng
Definition lex.yy.c:270
yy_cp
char * yy_cp
Definition lex.yy.c:787
yy_bp
char * yy_bp
Definition lex.yy.c:787
yy_c_buf_p
static char * yy_c_buf_p
Definition lex.yy.c:273

Referenced by while().

## YY_END_OF_BUFFER

#define YY_END_OF_BUFFER 40

Referenced by while().

## YY_END_OF_BUFFER_CHAR

#define YY_END_OF_BUFFER_CHAR 0

Referenced by input(), yy_flush_buffer(), yy_get_next_buffer(), yy_scan_buffer(), and yy_scan_bytes().

## YY_EXIT_FAILURE

#define YY_EXIT_FAILURE 2

Referenced by yy_fatal_error().

## YY_EXTRA_TYPE

#define YY_EXTRA_TYPE void *

Referenced by yyget_extra(), and yyset_extra().

## YY_FATAL_ERROR

#define YY_FATAL_ERROR | ( |  | msg | ) |

Value:
yy_fatal_error( msg )
yy_fatal_error
static void yynoreturn yy_fatal_error(const char *msg)
Definition lex.yy.c:1903

Referenced by while(), yy_create_buffer(), yy_get_next_buffer(), yy_scan_buffer(), yy_scan_bytes(), yyensure_buffer_stack(), and yyunput().

## YY_FLEX_MAJOR_VERSION

#define YY_FLEX_MAJOR_VERSION 2

## YY_FLEX_MINOR_VERSION

#define YY_FLEX_MINOR_VERSION 6

## YY_FLEX_SUBMINOR_VERSION

#define YY_FLEX_SUBMINOR_VERSION 4

## YY_FLUSH_BUFFER

#define YY_FLUSH_BUFFER yy_flush_buffer( YY_CURRENT_BUFFER )

## YY_INPUT

#define YY_INPUT | ( |  | buf,
|  |  | result,
|  |  | max_size )

Value:
if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
{ \
int c = '*'; \
int n; \
for ( n = 0; n < max_size && \
(c = getc( yyin )) != EOF && c != '\n'; ++n ) \
buf[n] = (char) c; \
if ( c == '\n' ) \
buf[n++] = (char) c; \
if ( c == EOF && ferror( yyin ) ) \
YY_FATAL_ERROR( "input in flex scanner failed" ); \
result = n; \
} \
else \
{ \
errno=0; \
while ( (result = (int) fread(buf, 1, (yy_size_t) max_size, yyin)) == 0 && ferror(yyin)) \
{ \
if( errno != EINTR) \
{ \
YY_FATAL_ERROR( "input in flex scanner failed" ); \
break; \
} \
errno=0; \
clearerr(yyin); \
} \
}\
\
yyin
FILE * yyin
Definition lex.yy.c:326
yy_size_t
size_t yy_size_t
Definition lex.yy.c:154

Referenced by yy_get_next_buffer().

## YY_INT_ALIGNED

#define YY_INT_ALIGNED short int

## YY_LESS_LINENO

#define YY_LESS_LINENO | ( |  | n | ) |

## YY_LINENO_REWIND_TO

#define YY_LINENO_REWIND_TO | ( |  | ptr | ) |

Referenced by while().

## YY_MORE_ADJ

#define YY_MORE_ADJ 0

Referenced by while(), yy_get_next_buffer(), and yy_get_previous_state().

## yy_new_buffer

#define yy_new_buffer yy_create_buffer

## YY_NEW_FILE

#define YY_NEW_FILE yyrestart( yyin )

Referenced by input(), and while().

## YY_NULL

#define YY_NULL 0

## YY_NUM_RULES

#define YY_NUM_RULES 39

## YY_READ_BUF_SIZE

#define YY_READ_BUF_SIZE 8192

Referenced by yy_get_next_buffer().

## YY_RESTORE_YY_MORE_OFFSET

#define YY_RESTORE_YY_MORE_OFFSET

Referenced by while().

## YY_RULE_SETUP

#define YY_RULE_SETUP

Value:
if ( yyleng > 0 ) \
YY_CURRENT_BUFFER_LVALUE->yy_at_bol = \
(yytext[yyleng - 1] == '\n'); \
YY_USER_ACTION
yytext
char * yytext
Definition lex.yy.c:587
YY_USER_ACTION
#define YY_USER_ACTION
Definition lex.yy.c:768

Referenced by while().

## YY_SC_TO_UI

#define YY_SC_TO_UI | ( |  | c | ) |

Value:
((YY_CHAR) (c))
YY_CHAR
flex_uint8_t YY_CHAR
Definition lex.yy.c:324

Referenced by while(), and yy_get_previous_state().

## yy_set_bol

#define yy_set_bol | ( |  | at_bol | ) |

Value:
{ \
if ( ! YY_CURRENT_BUFFER ){\
yyensure_buffer_stack (); \
YY_CURRENT_BUFFER_LVALUE = \
yy_create_buffer( yyin, YY_BUF_SIZE ); \
} \
YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
}
YY_CURRENT_BUFFER
#define YY_CURRENT_BUFFER
Definition lex.yy.c:259
YY_BUF_SIZE
#define YY_BUF_SIZE
Definition lex.yy.c:139

## yy_set_interactive

#define yy_set_interactive | ( |  | is_interactive | ) |

Value:
{ \
if ( ! YY_CURRENT_BUFFER ){ \
yyensure_buffer_stack (); \
YY_CURRENT_BUFFER_LVALUE = \
yy_create_buffer( yyin, YY_BUF_SIZE ); \
} \
YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
}

## YY_START

#define YY_START (((yy_start) - 1) / 2)

Referenced by while().

## YY_START_STACK_INCR

#define YY_START_STACK_INCR 25

## YY_STATE_BUF_SIZE

#define YY_STATE_BUF_SIZE ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

## YY_STATE_EOF

#define YY_STATE_EOF | ( |  | state | ) |

Value:
(YY_END_OF_BUFFER + state + 1)
YY_END_OF_BUFFER
#define YY_END_OF_BUFFER
Definition lex.yy.c:354

Referenced by while().

## YY_STRUCT_YY_BUFFER_STATE

#define YY_STRUCT_YY_BUFFER_STATE

## YY_TYPEDEF_YY_BUFFER_STATE

#define YY_TYPEDEF_YY_BUFFER_STATE

## YY_TYPEDEF_YY_SIZE_T

#define YY_TYPEDEF_YY_SIZE_T

## YY_USER_ACTION

#define YY_USER_ACTION

## yyconst

#define yyconst const

## yyless [1/2]

#define yyless | ( |  | n | ) |

Value:
do \
{ \
/* Undo effects of setting up yytext. */ \
int yyless_macro_arg = (n); \
YY_LESS_LINENO(yyless_macro_arg);\
yytext[yyleng] = (yy_hold_char); \
(yy_c_buf_p) = yytext + yyless_macro_arg; \
(yy_hold_char) = *(yy_c_buf_p); \
*(yy_c_buf_p) = '\0'; \
yyleng = yyless_macro_arg; \
} \
while ( 0 )

## yyless [2/2]

#define yyless | ( |  | n | ) |

Value:
do \
{ \
/* Undo effects of setting up yytext. */ \
int yyless_macro_arg = (n); \
YY_LESS_LINENO(yyless_macro_arg);\
*yy_cp = (yy_hold_char); \
YY_RESTORE_YY_MORE_OFFSET \
(yy_c_buf_p) = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
YY_DO_BEFORE_ACTION; /* set up yytext again */ \
} \
while ( 0 )
YY_RESTORE_YY_MORE_OFFSET
#define YY_RESTORE_YY_MORE_OFFSET
Definition lex.yy.c:586
YY_MORE_ADJ
#define YY_MORE_ADJ
Definition lex.yy.c:585
YY_DO_BEFORE_ACTION
#define YY_DO_BEFORE_ACTION
Definition lex.yy.c:347

## yymore

#define yymore | ( |  | ) |

Value:
yymore_used_but_not_detected

## yynoreturn

#define yynoreturn

Referenced by yy_fatal_error().

## YYSTATE

#define YYSTATE YY_START

## YYTABLES_NAME

#define YYTABLES_NAME "yytables"

## yyterminate

#define yyterminate | ( |  | ) |

Value:
return YY_NULL
YY_NULL
#define YY_NULL
Definition lex.yy.c:106

Referenced by while().

## yytext_ptr

#define yytext_ptr yytext

Referenced by input(), while(), yy_get_next_buffer(), yy_get_previous_state(), yy_load_buffer_state(), and yyunput().

## Typedef Documentation

## flex_int16_t

typedef short int flex_int16_t

## flex_int32_t

typedef int flex_int32_t

## flex_int8_t

typedef signed char flex_int8_t

## flex_uint16_t

typedef unsigned short int flex_uint16_t

## flex_uint32_t

typedef unsigned int flex_uint32_t

## flex_uint8_t

typedef unsigned char flex_uint8_t

## YY_BUFFER_STATE

typedef struct yy_buffer_state* YY_BUFFER_STATE

## YY_CHAR

typedef flex_uint8_t YY_CHAR

## yy_size_t

typedef size_t yy_size_t

## yy_state_type

typedef int yy_state_type

## Function Documentation

## if()

if | ( | ! | yy_init | ) |

References YY_BUF_SIZE, yy_create_buffer(), YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_init, yy_load_buffer_state(), yy_start, yyensure_buffer_stack(), yyin, and yyout.

## input()

int input | ( | void |  | ) |

static

References EOB_ACT_CONTINUE_SCAN, EOB_ACT_END_OF_FILE, EOB_ACT_LAST_MATCH, input(), yy_c_buf_p, YY_CURRENT_BUFFER_LVALUE, yy_did_buffer_switch_on_eof, YY_END_OF_BUFFER_CHAR, yy_get_next_buffer(), yy_hold_char, yy_n_chars, YY_NEW_FILE, yyin, yyrestart(), yytext_ptr, and yywrap().

Referenced by get_input_devices(), and input().

## while()

while | ( | 1 |  | ) |

References add_current_item(), alternative_name, BEGIN, bus_type, device, device_class, device_id, drv_id, drv_subtyp, drv_typ, ECHO, EOB_ACT_CONTINUE_SCAN, EOB_ACT_END_OF_FILE, EOB_ACT_LAST_MATCH, feature, firmware, info, INITIAL, interface, IO, IRQ, line_cnt, line_protocol, Main, MEMBASE, need_packages, new_entry(), NewEntry, NextLine, revision, short_description, SMP, special, subdevice_id, subvendor_id, supported, Value, vario, vendor, vendor_id, yy_accept, yy_act, YY_AT_BOL, yy_base, yy_bp, YY_BREAK, YY_BUFFER_NEW, YY_BUFFER_NORMAL, yy_c_buf_p, yy_chk, yy_cp, YY_CURRENT_BUFFER_LVALUE, yy_def, yy_did_buffer_switch_on_eof, YY_DO_BEFORE_ACTION, yy_ec, YY_END_OF_BUFFER, YY_FATAL_ERROR, yy_get_next_buffer(), yy_get_previous_state(), yy_hold_char, yy_last_accepting_cpos, yy_last_accepting_state, YY_LINENO_REWIND_TO, yy_meta, YY_MORE_ADJ, yy_n_chars, YY_NEW_FILE, yy_nxt, YY_RESTORE_YY_MORE_OFFSET, YY_RULE_SETUP, YY_SC_TO_UI, YY_START, yy_start, YY_STATE_EOF, yy_try_NUL_trans(), yyin, yyterminate, yytext, yytext_ptr, and yywrap().

## yy_create_buffer()

YY_BUFFER_STATE yy_create_buffer | ( | FILE * | file,
|  | int | size )

Allocate and initialize an input buffer state.

Parameters

  file | A readable stream.
  size | The character buffer size in bytes. When in doubt, use `YY_BUF_SIZE`.

Returns
  the allocated buffer state.

References yy_buffer_state::yy_buf_size, yy_buffer_state::yy_ch_buf, YY_FATAL_ERROR, yy_init_buffer(), yy_buffer_state::yy_is_our_buffer, and yyalloc().

Referenced by if(), and yyrestart().

## yy_delete_buffer()

void yy_delete_buffer | ( | YY_BUFFER_STATE | b | ) |

Destroy the buffer.

Parameters

  b | a buffer created with yy_create_buffer()

References yy_buffer_state::yy_ch_buf, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_buffer_state::yy_is_our_buffer, and yyfree().

Referenced by yylex_destroy(), and yypop_buffer_state().

## yy_fatal_error()

void yynoreturn yy_fatal_error | ( | const char * | msg | ) |

static

References YY_EXIT_FAILURE, and yynoreturn.

## yy_flush_buffer()

void yy_flush_buffer | ( | YY_BUFFER_STATE | b | ) |

Discard all buffered characters.

On the next scan, YY_INPUT will be called.

Parameters

  b | the buffer state to be flushed, usually `YY_CURRENT_BUFFER`.

References yy_buffer_state::yy_at_bol, yy_buffer_state::yy_buf_pos, YY_BUFFER_NEW, yy_buffer_state::yy_buffer_status, yy_buffer_state::yy_ch_buf, YY_CURRENT_BUFFER, YY_END_OF_BUFFER_CHAR, yy_load_buffer_state(), and yy_buffer_state::yy_n_chars.

Referenced by yy_init_buffer().

## yy_get_next_buffer()

int yy_get_next_buffer | ( | void |  | ) |

static

References EOB_ACT_CONTINUE_SCAN, EOB_ACT_END_OF_FILE, EOB_ACT_LAST_MATCH, yy_buffer_state::yy_buf_size, YY_BUFFER_EOF_PENDING, yy_c_buf_p, yy_buffer_state::yy_ch_buf, YY_CURRENT_BUFFER_LVALUE, YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, YY_INPUT, yy_buffer_state::yy_is_our_buffer, YY_MORE_ADJ, yy_n_chars, YY_READ_BUF_SIZE, yyin, yyrealloc(), yyrestart(), and yytext_ptr.

Referenced by input(), and while().

## yy_get_previous_state()

yy_state_type yy_get_previous_state | ( | void |  | ) |

static

References yy_accept, YY_AT_BOL, yy_base, yy_c_buf_p, yy_chk, yy_cp, yy_def, yy_ec, yy_last_accepting_cpos, yy_last_accepting_state, yy_meta, YY_MORE_ADJ, yy_nxt, YY_SC_TO_UI, yy_start, and yytext_ptr.

Referenced by while().

## yy_init_buffer()

void yy_init_buffer | ( | YY_BUFFER_STATE | b,
|  | FILE * | file )

static

References yy_buffer_state::yy_bs_column, yy_buffer_state::yy_bs_lineno, YY_CURRENT_BUFFER, yy_buffer_state::yy_fill_buffer, yy_flush_buffer(), yy_buffer_state::yy_input_file, and yy_buffer_state::yy_is_interactive.

Referenced by yy_create_buffer(), and yyrestart().

## yy_init_globals()

int yy_init_globals | ( | void |  | ) |

static

References yy_buffer_stack, yy_buffer_stack_max, yy_buffer_stack_top, yy_c_buf_p, yy_init, yy_start, yyin, and yyout.

Referenced by yylex_destroy().

## yy_load_buffer_state()

void yy_load_buffer_state | ( | void |  | ) |

static

References yy_c_buf_p, YY_CURRENT_BUFFER_LVALUE, yy_hold_char, yy_n_chars, yyin, and yytext_ptr.

Referenced by if(), yy_flush_buffer(), yy_switch_to_buffer(), yypop_buffer_state(), yypush_buffer_state(), and yyrestart().

## yy_scan_buffer()

YY_BUFFER_STATE yy_scan_buffer | ( | char * | base,
|  | yy_size_t | size )

Setup the input buffer state to scan directly from a user-specified character buffer.

Parameters

  base | the character buffer
  size | the size in bytes of the character buffer

Returns
  the newly allocated buffer state object.

References yy_buffer_state::yy_at_bol, yy_buffer_state::yy_buf_pos, yy_buffer_state::yy_buf_size, YY_BUFFER_NEW, yy_buffer_state::yy_buffer_status, yy_buffer_state::yy_ch_buf, YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, yy_buffer_state::yy_fill_buffer, yy_buffer_state::yy_input_file, yy_buffer_state::yy_is_interactive, yy_buffer_state::yy_is_our_buffer, yy_buffer_state::yy_n_chars, yy_switch_to_buffer(), and yyalloc().

Referenced by yy_scan_bytes().

## yy_scan_bytes()

YY_BUFFER_STATE yy_scan_bytes | ( | const char * | yybytes,
|  | int | _yybytes_len )

Setup the input buffer state to scan the given bytes.

The next call to yylex() will scan from a copy of bytes.

Parameters

  yybytes | the byte buffer to scan
  _yybytes_len | the number of bytes in the buffer pointed to by bytes.

Returns
  the newly allocated buffer state object.

References YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, yy_buffer_state::yy_is_our_buffer, yy_scan_buffer(), and yyalloc().

Referenced by yy_scan_string().

## yy_scan_string()

YY_BUFFER_STATE yy_scan_string | ( | const char * | yystr | ) |

Setup the input buffer state to scan a string.

The next call to yylex() will scan from a copy of str.

Parameters

  yystr | a NUL-terminated string to scan

Returns
  the newly allocated buffer state object.

Note
  If you want to scan bytes that may contain NUL values, then use yy_scan_bytes() instead.

References yy_scan_bytes().

## yy_switch_to_buffer()

void yy_switch_to_buffer | ( | YY_BUFFER_STATE | new_buffer | ) |

Switch to a different input buffer.

Parameters

  new_buffer | The new input buffer.

References yy_c_buf_p, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_did_buffer_switch_on_eof, yy_hold_char, yy_load_buffer_state(), yy_n_chars, and yyensure_buffer_stack().

Referenced by yy_scan_buffer().

## yy_try_NUL_trans()

yy_state_type yy_try_NUL_trans | ( | yy_state_type | current_state | ) |

static

References yy_accept, yy_base, yy_c_buf_p, yy_chk, yy_cp, yy_def, yy_last_accepting_cpos, yy_last_accepting_state, yy_meta, and yy_nxt.

Referenced by while().

## yyalloc()

void * yyalloc | ( | yy_size_t | size | ) |

Referenced by yy_create_buffer(), yy_scan_buffer(), yy_scan_bytes(), and yyensure_buffer_stack().

## yyensure_buffer_stack()

void yyensure_buffer_stack | ( | void |  | ) |

static

References yy_buffer_stack, yy_buffer_stack_max, yy_buffer_stack_top, YY_FATAL_ERROR, yyalloc(), and yyrealloc().

Referenced by if(), yy_switch_to_buffer(), yypush_buffer_state(), and yyrestart().

## yyfree()

void yyfree | ( | void * | ptr | ) |

Referenced by yy_delete_buffer(), and yylex_destroy().

## yyget_debug()

int yyget_debug | ( | void |  | ) |

References yy_flex_debug.

## yyget_extra()

YY_EXTRA_TYPE yyget_extra | ( | void |  | ) |

References YY_EXTRA_TYPE.

## yyget_in()

FILE * yyget_in | ( | void |  | ) |

Get the input stream.

References yyin.

## yyget_leng()

int yyget_leng | ( | void |  | ) |

Get the length of the current token.

References yyleng.

## yyget_lineno()

int yyget_lineno | ( | void |  | ) |

Get the current line number.

References yylineno.

## yyget_out()

FILE * yyget_out | ( | void |  | ) |

Get the output stream.

References yyout.

## yyget_text()

char * yyget_text | ( | void |  | ) |

Get the current token.

References yytext.

## yylex()

int yylex | ( | void |  | ) |

extern

Referenced by main().

## yylex_destroy()

int yylex_destroy | ( | void |  | ) |

References yy_buffer_stack, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_delete_buffer(), yy_init_globals(), yyfree(), and yypop_buffer_state().

## yypop_buffer_state()

void yypop_buffer_state | ( | void |  | ) |

Removes and deletes the top of the stack, if present.

The next element becomes the new top.

References yy_buffer_stack_top, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_delete_buffer(), yy_did_buffer_switch_on_eof, and yy_load_buffer_state().

Referenced by yylex_destroy().

## yypush_buffer_state()

void yypush_buffer_state | ( | YY_BUFFER_STATE | new_buffer | ) |

Pushes the new state onto the stack.

The new state becomes the current state. This function will allocate the stack if necessary.

Parameters

  new_buffer | The new state.

References yy_buffer_stack_top, yy_c_buf_p, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_did_buffer_switch_on_eof, yy_hold_char, yy_load_buffer_state(), yy_n_chars, and yyensure_buffer_stack().

## yyrealloc()

void * yyrealloc | ( | void * | ptr,
|  | yy_size_t | size )

Referenced by yy_get_next_buffer(), and yyensure_buffer_stack().

## yyrestart()

void yyrestart | ( | FILE * | input_file | ) |

Immediately switch to a different input stream.

Parameters

  input_file | A readable stream.

Note
  This function does not reset the start condition to `INITIAL` .

References YY_BUF_SIZE, yy_create_buffer(), YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_init_buffer(), yy_load_buffer_state(), yyensure_buffer_stack(), and yyin.

Referenced by input(), and yy_get_next_buffer().

## yyset_debug()

void yyset_debug | ( | int | debug_flag | ) |

References yy_flex_debug.

## yyset_extra()

void yyset_extra | ( | YY_EXTRA_TYPE | user_defined | ) |

References YY_EXTRA_TYPE.

## yyset_in()

void yyset_in | ( | FILE * | _in_str | ) |

Set the input stream.

This does not discard the current input buffer.

Parameters

  _in_str | A readable stream.

See also
  yy_switch_to_buffer

References yyin.

## yyset_lineno()

void yyset_lineno | ( | int | _line_number | ) |

Set the current line number.

Parameters

  _line_number | line number

References yylineno.

## yyset_out()

void yyset_out | ( | FILE * | _out_str | ) |

References yyout.

## yyunput()

void yyunput | ( | int | c,
|  | char * | buf_ptr )

static

References yy_bp, yy_c_buf_p, yy_cp, YY_CURRENT_BUFFER_LVALUE, YY_FATAL_ERROR, yy_hold_char, yy_n_chars, and yytext_ptr.

## yywrap()

int yywrap | ( | void |  | ) |

extern

Referenced by input(), and while().

## Variable Documentation

## yy_accept

const flex_int16_t yy_accept[254]

static

Referenced by while(), yy_get_previous_state(), and yy_try_NUL_trans().

## yy_act

int yy_act

Referenced by while().

## yy_base

const flex_int16_t yy_base[259]

static

Referenced by while(), yy_get_previous_state(), and yy_try_NUL_trans().

## yy_bp

char * yy_bp

Referenced by while(), and yyunput().

## yy_buffer_stack

YY_BUFFER_STATE* yy_buffer_stack = NULL

static

Stack as an array.

Referenced by yy_init_globals(), yyensure_buffer_stack(), and yylex_destroy().

## yy_buffer_stack_max

size_t yy_buffer_stack_max = 0

static

capacity of stack.

Referenced by yy_init_globals(), and yyensure_buffer_stack().

## yy_buffer_stack_top

size_t yy_buffer_stack_top = 0

static

index of top of stack.

Referenced by yy_init_globals(), yyensure_buffer_stack(), yypop_buffer_state(), and yypush_buffer_state().

## yy_c_buf_p

char* yy_c_buf_p = NULL

static

Referenced by input(), while(), yy_get_next_buffer(), yy_get_previous_state(), yy_init_globals(), yy_load_buffer_state(), yy_switch_to_buffer(), yy_try_NUL_trans(), yypush_buffer_state(), and yyunput().

## yy_chk

const flex_int16_t yy_chk[302]

static

Referenced by while(), yy_get_previous_state(), and yy_try_NUL_trans().

## yy_cp

char* yy_cp

Referenced by while(), yy_get_previous_state(), yy_try_NUL_trans(), and yyunput().

## YY_DECL

YY_DECL

Initial value:
{
yy_state_type yy_current_state
yy_state_type
int yy_state_type
Definition lex.yy.c:328

The main scanner function which does all the work.

## yy_def

const flex_int16_t yy_def[259]

static

Referenced by while(), yy_get_previous_state(), and yy_try_NUL_trans().

## yy_did_buffer_switch_on_eof

int yy_did_buffer_switch_on_eof

static

Referenced by input(), while(), yy_switch_to_buffer(), yypop_buffer_state(), and yypush_buffer_state().

## yy_ec

const YY_CHAR yy_ec[256]

static

Referenced by while(), and yy_get_previous_state().

## yy_flex_debug

int yy_flex_debug = 0

Referenced by yyget_debug(), and yyset_debug().

## yy_hold_char

char yy_hold_char

static

Referenced by input(), while(), yy_load_buffer_state(), yy_switch_to_buffer(), yypush_buffer_state(), and yyunput().

## yy_init

int yy_init = 0

static

Referenced by if(), and yy_init_globals().

## yy_last_accepting_cpos

char* yy_last_accepting_cpos

static

Referenced by while(), yy_get_previous_state(), and yy_try_NUL_trans().

## yy_last_accepting_state

yy_state_type yy_last_accepting_state

static

Referenced by while(), yy_get_previous_state(), and yy_try_NUL_trans().

## yy_meta

const YY_CHAR yy_meta[40]

static

Initial value:
=
{ 0,
1, 1, 2, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1
}

Referenced by while(), yy_get_previous_state(), and yy_try_NUL_trans().

## yy_n_chars

int yy_n_chars

static

Referenced by input(), while(), yy_get_next_buffer(), yy_load_buffer_state(), yy_switch_to_buffer(), yypush_buffer_state(), and yyunput().

## yy_nxt

const flex_int16_t yy_nxt[302]

static

Referenced by while(), yy_get_previous_state(), and yy_try_NUL_trans().

## yy_start

int yy_start = 0

static

Referenced by if(), while(), yy_get_previous_state(), and yy_init_globals().

## yyin

FILE * yyin = NULL

Referenced by if(), input(), while(), yy_get_next_buffer(), yy_init_globals(), yy_load_buffer_state(), yyget_in(), yyrestart(), and yyset_in().

## yyleng

int yyleng

Referenced by yyget_leng().

## yylineno

int yylineno = 1

Referenced by yyget_lineno(), and yyset_lineno().

## yyout

FILE * yyout = NULL

Referenced by if(), yy_init_globals(), yyget_out(), and yyset_out().

## yytext

char * yytext

Referenced by while(), and yyget_text().